diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/random-variable-stream-test-suite.cc ns-3.31/src/core/test/random-variable-stream-test-suite.cc
--- ns-3.30.1/src/core/test/random-variable-stream-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/random-variable-stream-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -2789,33 +2741,47 @@
 
   // Create the RNG with a uniform distribution between 0 and 10.
   Ptr<EmpiricalRandomVariable> x = CreateObject<EmpiricalRandomVariable> ();
+  x->SetInterpolate (false);
   x->CDF ( 0.0,  0.0);
-  x->CDF ( 5.0,  0.5);
+  x->CDF ( 5.0,  0.25);
   x->CDF (10.0,  1.0);
 
-  // Calculate the mean of these values.
+  // Check that only the correct values are returned
+  for (uint32_t i = 0; i < N_MEASUREMENTS; ++i)
+    {
+      double value = x->GetValue ();
+      NS_TEST_EXPECT_MSG_EQ ( (value == 5) || (value == 10), true,
+                              "Incorrect value returned, expected only 5 or 10.");
+    }
+
+  // Calculate the mean of the interpolated values.
   double sum = 0.0;
-  double value;
   for (uint32_t i = 0; i < N_MEASUREMENTS; ++i)
     {
-      value = x->GetValue ();
+      double value = x->Interpolate ();
       sum += value;
     }
   double valueMean = sum / N_MEASUREMENTS;
 
+  // The expected distribution (with interpolation) is
+  //     Domain     Probability
+  //     [0, 5)     25%
+  //     [5, 10)    75%
+  //
   // The expected value for the mean of the values returned by this
-  // empirical distribution is the midpoint of the distribution
+  // empirical distribution is
+  //
+  //     E[value]  =  2.5 * 25% + 7.5 * 75% = 6.25
   //
-  //     E[value]  =  5 .
-  //                          
-  double expectedMean = 5.0;
+  double expectedMean = 6.25;
 
   // Test that values have approximately the right mean value.
   double TOLERANCE = expectedMean * 1e-2;
-  NS_TEST_ASSERT_MSG_EQ_TOL (valueMean, expectedMean, TOLERANCE, "Wrong mean value."); 
+  NS_TEST_ASSERT_MSG_EQ_TOL (valueMean, expectedMean, TOLERANCE, "Wrong mean value.");
 
   // Bug 2082: Create the RNG with a uniform distribution between -1 and 1.
   Ptr<EmpiricalRandomVariable> y = CreateObject<EmpiricalRandomVariable> ();
+  y->SetInterpolate (false);
   y->CDF (-1.0,  0.0);
   y->CDF (0.0,  0.5);
   y->CDF (1.0,  1.0);
@@ -2839,12 +2805,10 @@
 
 RandomVariableStreamEmpiricalAntitheticTestCase::RandomVariableStreamEmpiricalAntitheticTestCase ()
   : TestCase ("EmpiricalAntithetic Random Variable Stream Generator")
-{
-}
+{}
 
 RandomVariableStreamEmpiricalAntitheticTestCase::~RandomVariableStreamEmpiricalAntitheticTestCase ()
-{
-}
+{}
 
 void
 RandomVariableStreamEmpiricalAntitheticTestCase::DoRun (void)
@@ -2853,33 +2817,42 @@
 
   // Create the RNG with a uniform distribution between 0 and 10.
   Ptr<EmpiricalRandomVariable> x = CreateObject<EmpiricalRandomVariable> ();
+  x->SetInterpolate (false);
   x->CDF ( 0.0,  0.0);
-  x->CDF ( 5.0,  0.5);
+  x->CDF ( 5.0,  0.25);
   x->CDF (10.0,  1.0);
 
   // Make this generate antithetic values.
   x->SetAttribute ("Antithetic", BooleanValue (true));
 
+  // Check that only the correct values are returned
+  for (uint32_t i = 0; i < N_MEASUREMENTS; ++i)
+    {
+      double value = x->GetValue ();
+      NS_TEST_EXPECT_MSG_EQ ( (value == 5) || (value == 10), true,
+                              "Incorrect value returned, expected only 5 or 10.");
+    }
+
   // Calculate the mean of these values.
   double sum = 0.0;
   double value;
   for (uint32_t i = 0; i < N_MEASUREMENTS; ++i)
     {
-      value = x->GetValue ();
+      value = x->Interpolate ();
       sum += value;
     }
   double valueMean = sum / N_MEASUREMENTS;
 
   // The expected value for the mean of the values returned by this
-  // empirical distribution is the midpoint of the distribution
+  // empirical distribution is
+  //
+  //     E[value]  =  2.5 * 25% + 7.5 * 75% = 6.25
   //
-  //     E[value]  =  5 .
-  //                          
-  double expectedMean = 5.0;
+  double expectedMean = 6.25;
 
   // Test that values have approximately the right mean value.
   double TOLERANCE = expectedMean * 1e-2;
-  NS_TEST_ASSERT_MSG_EQ_TOL (valueMean, expectedMean, TOLERANCE, "Wrong mean value."); 
+  NS_TEST_ASSERT_MSG_EQ_TOL (valueMean, expectedMean, TOLERANCE, "Wrong mean value.");
 }
 
 class RandomVariableStreamTestSuite : public TestSuite
@@ -2891,41 +2864,41 @@
 RandomVariableStreamTestSuite::RandomVariableStreamTestSuite ()
   : TestSuite ("random-variable-stream-generators", UNIT)
 {
-  AddTestCase (new RandomVariableStreamUniformTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamUniformAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamConstantTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamSequentialTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamNormalTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamNormalAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamExponentialTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamExponentialAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamParetoTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamParetoAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamWeibullTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamWeibullAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamLogNormalTestCase, TestCase::QUICK);
+  AddTestCase (new RandomVariableStreamUniformTestCase);
+  AddTestCase (new RandomVariableStreamUniformAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamConstantTestCase);
+  AddTestCase (new RandomVariableStreamSequentialTestCase);
+  AddTestCase (new RandomVariableStreamNormalTestCase);
+  AddTestCase (new RandomVariableStreamNormalAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamExponentialTestCase);
+  AddTestCase (new RandomVariableStreamExponentialAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamParetoTestCase);
+  AddTestCase (new RandomVariableStreamParetoAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamWeibullTestCase);
+  AddTestCase (new RandomVariableStreamWeibullAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamLogNormalTestCase);
   /// \todo This test is currently disabled because it fails sometimes.
   /// A possible reason for the failure is that the antithetic code is
   /// not implemented properly for this log-normal case.
   /*
-  AddTestCase (new RandomVariableStreamLogNormalAntitheticTestCase, TestCase::QUICK);
+  AddTestCase (new RandomVariableStreamLogNormalAntitheticTestCase);
   */
-  AddTestCase (new RandomVariableStreamGammaTestCase, TestCase::QUICK);
+  AddTestCase (new RandomVariableStreamGammaTestCase);
   /// \todo This test is currently disabled because it fails sometimes.
   /// A possible reason for the failure is that the antithetic code is
   /// not implemented properly for this gamma case.
   /*
-  AddTestCase (new RandomVariableStreamGammaAntitheticTestCase, TestCase::QUICK);
+  AddTestCase (new RandomVariableStreamGammaAntitheticTestCase);
   */
-  AddTestCase (new RandomVariableStreamErlangTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamErlangAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamZipfTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamZipfAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamZetaTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamZetaAntitheticTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamDeterministicTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamEmpiricalTestCase, TestCase::QUICK);
-  AddTestCase (new RandomVariableStreamEmpiricalAntitheticTestCase, TestCase::QUICK);
+  AddTestCase (new RandomVariableStreamErlangTestCase);
+  AddTestCase (new RandomVariableStreamErlangAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamZipfTestCase);
+  AddTestCase (new RandomVariableStreamZipfAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamZetaTestCase);
+  AddTestCase (new RandomVariableStreamZetaAntitheticTestCase);
+  AddTestCase (new RandomVariableStreamDeterministicTestCase);
+  AddTestCase (new RandomVariableStreamEmpiricalTestCase);
+  AddTestCase (new RandomVariableStreamEmpiricalAntitheticTestCase);
 }
 
 static RandomVariableStreamTestSuite randomVariableStreamTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/rng-test-suite.cc ns-3.31/src/core/test/rng-test-suite.cc
--- ns-3.30.1/src/core/test/rng-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/rng-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -62,17 +62,15 @@
 
 RngUniformTestCase::RngUniformTestCase ()
   : TestCase ("Uniform Random Number Generator")
-{
-}
+{}
 
 RngUniformTestCase::~RngUniformTestCase ()
-{
-}
+{}
 
 double
 RngUniformTestCase::ChiSquaredTest (Ptr<UniformRandomVariable> u)
 {
- gsl_histogram * h = gsl_histogram_alloc (N_BINS);
+  gsl_histogram * h = gsl_histogram_alloc (N_BINS);
   gsl_histogram_set_ranges_uniform (h, 0., 1.);
 
   for (uint32_t i = 0; i < N_MEASUREMENTS; ++i)
@@ -145,12 +143,10 @@
 
 RngNormalTestCase::RngNormalTestCase ()
   : TestCase ("Normal Random Number Generator")
-{
-}
+{}
 
 RngNormalTestCase::~RngNormalTestCase ()
-{
-}
+{}
 
 double
 RngNormalTestCase::ChiSquaredTest (Ptr<NormalRandomVariable> n)
@@ -242,12 +238,10 @@
 
 RngExponentialTestCase::RngExponentialTestCase ()
   : TestCase ("Exponential Random Number Generator")
-{
-}
+{}
 
 RngExponentialTestCase::~RngExponentialTestCase ()
-{
-}
+{}
 
 double
 RngExponentialTestCase::ChiSquaredTest (Ptr<ExponentialRandomVariable> e)
@@ -338,12 +332,10 @@
 
 RngParetoTestCase::RngParetoTestCase ()
   : TestCase ("Pareto Random Number Generator")
-{
-}
+{}
 
 RngParetoTestCase::~RngParetoTestCase ()
-{
-}
+{}
 
 double
 RngParetoTestCase::ChiSquaredTest (Ptr<ParetoRandomVariable> p)
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/sample-test-suite.cc ns-3.31/src/core/test/sample-test-suite.cc
--- ns-3.30.1/src/core/test/sample-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/sample-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -43,7 +43,7 @@
 /// Class test suite. \endverbatim
  *
  * Define the class-tests group:
- * \verbatim /// \ingroup module-tests 
+ * \verbatim /// \ingroup module-tests
 /// \defgroup class-tests Class test suite \endverbatim
  *
  * Make sure test.h is included:
@@ -64,7 +64,7 @@
 static ClassTestSuite g_classTestSuite; \endverbatim
  *
  * Finally, close the ingroup and namespace blocks:
- * \verbatim   }  // namespace tests                
+ * \verbatim   }  // namespace tests
 }  // namespace ns3 \endverbatim
 */
 
@@ -76,8 +76,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup testing-example
@@ -98,16 +98,14 @@
 /** Add some help text to this case to describe what it is intended to test. */
 SampleTestCase1::SampleTestCase1 ()
   : TestCase ("Sample test case (does nothing)")
-{
-}
+{}
 
 /**
  * This destructor does nothing but we include it as a reminder that
  * the test case should clean up after itself
  */
 SampleTestCase1::~SampleTestCase1 ()
-{
-}
+{}
 
 /**
  * This method is the pure virtual method from class TestCase that every
@@ -149,6 +147,6 @@
 static SampleTestSuite g_sampleTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/simulator-test-suite.cc ns-3.31/src/core/test/simulator-test-suite.cc
--- ns-3.30.1/src/core/test/simulator-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/simulator-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -23,6 +23,7 @@
 #include "ns3/heap-scheduler.h"
 #include "ns3/map-scheduler.h"
 #include "ns3/calendar-scheduler.h"
+#include "ns3/priority-queue-scheduler.h"
 
 using namespace ns3;
 
@@ -49,11 +50,10 @@
 };
 
 SimulatorEventsTestCase::SimulatorEventsTestCase (ObjectFactory schedulerFactory)
-  : TestCase ("Check that basic event handling is working with " + 
+  : TestCase ("Check that basic event handling is working with " +
               schedulerFactory.GetTypeId ().GetName ()),
     m_schedulerFactory (schedulerFactory)
-{
-}
+{}
 uint64_t
 SimulatorEventsTestCase::NowUs (void)
 {
@@ -71,11 +71,11 @@
 void
 SimulatorEventsTestCase::EventB (int b)
 {
-  if (b != 2 || NowUs () != 11) 
+  if (b != 2 || NowUs () != 11)
     {
       m_b = false;
-    } 
-  else 
+    }
+  else
     {
       m_b = true;
     }
@@ -93,11 +93,11 @@
 void
 SimulatorEventsTestCase::EventD (int d)
 {
-  if (d != 4 || NowUs () != (11+10)) 
+  if (d != 4 || NowUs () != (11 + 10))
     {
       m_d = false;
-    } 
-  else 
+    }
+  else
     {
       m_d = true;
     }
@@ -112,10 +112,10 @@
 {
   if (m_destroyId.IsExpired ())
     {
-      m_destroy = true; 
+      m_destroy = true;
     }
 }
-void 
+void
 SimulatorEventsTestCase::DoRun (void)
 {
   m_a = true;
@@ -175,11 +175,15 @@
 public:
   SimulatorTemplateTestCase ();
   // only here for testing of Ptr<>
-  void Ref (void) const {}
-  void Unref (void) const {}
+  void Ref (void) const
+  {}
+  void Unref (void) const
+  {}
+
 private:
   virtual void DoRun (void);
 
+  /* *NS_CHECK_STYLE_OFF* */
   void bar0 (void) {}
   void bar1 (int) {}
   void bar2 (int, int) {}
@@ -213,6 +217,7 @@
   void cbaz3c (const int &, const int &, const int &) const {}
   void cbaz4c (const int &, const int &, const int &, const int &) const {}
   void cbaz5c (const int &, const int &, const int &, const int &, const int &) const {}
+  /* *NS_CHECK_STYLE_ON* */
 
 };
 
@@ -251,8 +256,7 @@
 
 SimulatorTemplateTestCase::SimulatorTemplateTestCase ()
   : TestCase ("Check that all templates are instantiated correctly. This is a compilation test, it cannot fail at runtime.")
-{
-}
+{}
 void
 SimulatorTemplateTestCase::DoRun (void)
 {
@@ -477,5 +481,7 @@
     AddTestCase (new SimulatorEventsTestCase (factory), TestCase::QUICK);
     factory.SetTypeId (CalendarScheduler::GetTypeId ());
     AddTestCase (new SimulatorEventsTestCase (factory), TestCase::QUICK);
+    factory.SetTypeId (PriorityQueueScheduler::GetTypeId ());
+    AddTestCase (new SimulatorEventsTestCase (factory), TestCase::QUICK);
   }
 } g_simulatorTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/threaded-test-suite.cc ns-3.31/src/core/test/threaded-test-suite.cc
--- ns-3.30.1/src/core/test/threaded-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/threaded-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -74,16 +74,15 @@
     m_threads (threads),
     m_schedulerFactory (schedulerFactory),
     m_simulatorType (simulatorType)
-{
-}
+{}
 
 void
 ThreadedSimulatorEventsTestCase::End (void)
 {
   m_stop = true;
-  for (std::list<Ptr<SystemThread> >::iterator it2 = m_threadlist.begin(); it2 != m_threadlist.end(); ++it2)
+  for (std::list<Ptr<SystemThread> >::iterator it2 = m_threadlist.begin (); it2 != m_threadlist.end (); ++it2)
     {
-      (*it2)->Join();
+      (*it2)->Join ();
     }
 }
 void
@@ -91,7 +90,7 @@
 {
   ThreadedSimulatorEventsTestCase *me = context.first;
   unsigned int threadno = context.second;
-  
+
   while (!me->m_stop)
     {
       me->m_threadWaiting[threadno] = true;
@@ -100,14 +99,14 @@
                                       &ThreadedSimulatorEventsTestCase::DoNothing, me, threadno);
       while (!me->m_stop && me->m_threadWaiting[threadno])
         {
-          std::this_thread::sleep_for(std::chrono::nanoseconds(500));
+          std::this_thread::sleep_for (std::chrono::nanoseconds (500));
         }
     }
 }
 void
 ThreadedSimulatorEventsTestCase::DoNothing (unsigned int threadno)
 {
-  if (!m_error.empty())
+  if (!m_error.empty ())
     {
       m_error = "Bad threaded scheduling";
     }
@@ -119,90 +118,90 @@
   if (m_a != m_b || m_a != m_c || m_a != m_d)
     {
       m_error = "Bad scheduling";
-      Simulator::Stop();
-    };
+      Simulator::Stop ();
+    }
   ++m_a;
   Simulator::Schedule (MicroSeconds (10),
-                       &ThreadedSimulatorEventsTestCase::EventB, this, a+1);
+                       &ThreadedSimulatorEventsTestCase::EventB, this, a + 1);
 }
 
 void
 ThreadedSimulatorEventsTestCase::EventB (int b)
 {
-  if (m_a != (m_b+1) || m_a != (m_c+1) || m_a != (m_d+1))
+  if (m_a != (m_b + 1) || m_a != (m_c + 1) || m_a != (m_d + 1))
     {
       m_error = "Bad scheduling";
-      Simulator::Stop();
-    };
+      Simulator::Stop ();
+    }
   ++m_b;
   Simulator::Schedule (MicroSeconds (10),
-                       &ThreadedSimulatorEventsTestCase::EventC, this, b+1);
+                       &ThreadedSimulatorEventsTestCase::EventC, this, b + 1);
 }
 
 void
 ThreadedSimulatorEventsTestCase::EventC (int c)
 {
-  if (m_a != m_b || m_a != (m_c+1) || m_a != (m_d+1))
+  if (m_a != m_b || m_a != (m_c + 1) || m_a != (m_d + 1))
     {
       m_error = "Bad scheduling";
-      Simulator::Stop();
-    };
+      Simulator::Stop ();
+    }
   ++m_c;
   Simulator::Schedule (MicroSeconds (10),
-                       &ThreadedSimulatorEventsTestCase::EventD, this, c+1);
+                       &ThreadedSimulatorEventsTestCase::EventD, this, c + 1);
 }
 
 void
 ThreadedSimulatorEventsTestCase::EventD (int d)
 {
-  if (m_a != m_b || m_a != m_c || m_a != (m_d+1))
+  if (m_a != m_b || m_a != m_c || m_a != (m_d + 1))
     {
       m_error = "Bad scheduling";
-      Simulator::Stop();
-    };
+      Simulator::Stop ();
+    }
   ++m_d;
   if (m_stop)
     {
-      Simulator::Stop();
+      Simulator::Stop ();
     }
   else
     {
       Simulator::Schedule (MicroSeconds (10),
-                           &ThreadedSimulatorEventsTestCase::EventA, this, d+1);
+                           &ThreadedSimulatorEventsTestCase::EventA, this, d + 1);
     }
 }
 
-void 
+void
 ThreadedSimulatorEventsTestCase::DoSetup (void)
 {
-  if (!m_simulatorType.empty())
+  if (!m_simulatorType.empty ())
     {
       Config::SetGlobal ("SimulatorImplementationType", StringValue (m_simulatorType));
     }
-  
+
   m_error = "";
-  
-  m_a = 
-  m_b = 
-  m_c = 
-  m_d = 0;
 
-  for (unsigned int i=0; i < m_threads; ++i)
+  m_a =
+    m_b =
+      m_c =
+        m_d = 0;
+
+  for (unsigned int i = 0; i < m_threads; ++i)
     {
-      m_threadlist.push_back(
+      m_threadlist.push_back (
         Create<SystemThread> (MakeBoundCallback (
-            &ThreadedSimulatorEventsTestCase::SchedulingThread, 
-                std::pair<ThreadedSimulatorEventsTestCase *, unsigned int>(this,i) )) );
+                                &ThreadedSimulatorEventsTestCase::SchedulingThread,
+                                std::pair<ThreadedSimulatorEventsTestCase *, unsigned int> (this,i) )) );
     }
 }
-void 
+void
 ThreadedSimulatorEventsTestCase::DoTeardown (void)
 {
-  m_threadlist.clear();
- 
+  m_threadlist.clear ();
+
   Config::SetGlobal ("SimulatorImplementationType", StringValue ("ns3::DefaultSimulatorImpl"));
 }
-void 
+void
 ThreadedSimulatorEventsTestCase::DoRun (void)
 {
   m_stop = false;
@@ -211,16 +210,16 @@
   Simulator::Schedule (MicroSeconds (10), &ThreadedSimulatorEventsTestCase::EventA, this, 1);
   Simulator::Schedule (Seconds (1), &ThreadedSimulatorEventsTestCase::End, this);
 
-  
-  for (std::list<Ptr<SystemThread> >::iterator it = m_threadlist.begin(); it != m_threadlist.end(); ++it)
+
+  for (std::list<Ptr<SystemThread> >::iterator it = m_threadlist.begin (); it != m_threadlist.end (); ++it)
     {
-      (*it)->Start();
+      (*it)->Start ();
     }
-  
+
   Simulator::Run ();
   Simulator::Destroy ();
 
-  NS_TEST_EXPECT_MSG_EQ (m_error.empty(), true, m_error.c_str());
+  NS_TEST_EXPECT_MSG_EQ (m_error.empty (), true, m_error.c_str ());
   NS_TEST_EXPECT_MSG_EQ (m_a, m_b, "Bad scheduling");
   NS_TEST_EXPECT_MSG_EQ (m_a, m_c, "Bad scheduling");
   NS_TEST_EXPECT_MSG_EQ (m_a, m_d, "Bad scheduling");
@@ -247,18 +246,18 @@
     unsigned int threadcounts[] = {
       0,
       2,
-      10, 
+      10,
       20
     };
     ObjectFactory factory;
-    
-    for (unsigned int i=0; i < (sizeof(simulatorTypes) / sizeof(simulatorTypes[0])); ++i) 
+
+    for (unsigned int i = 0; i < (sizeof(simulatorTypes) / sizeof(simulatorTypes[0])); ++i)
       {
-        for (unsigned int j=0; j < (sizeof(threadcounts) / sizeof(threadcounts[0])); ++j)
+        for (unsigned int j = 0; j < (sizeof(threadcounts) / sizeof(threadcounts[0])); ++j)
           {
-            for (unsigned int k=0; k < (sizeof(schedulerTypes) / sizeof(schedulerTypes[0])); ++k) 
+            for (unsigned int k = 0; k < (sizeof(schedulerTypes) / sizeof(schedulerTypes[0])); ++k)
               {
-                factory.SetTypeId(schedulerTypes[k]);
+                factory.SetTypeId (schedulerTypes[k]);
                 AddTestCase (new ThreadedSimulatorEventsTestCase (factory, simulatorTypes[i], threadcounts[j]), TestCase::QUICK);
               }
           }
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/timer-test-suite.cc ns-3.31/src/core/test/timer-test-suite.cc
--- ns-3.30.1/src/core/test/timer-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/timer-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -23,27 +23,17 @@
 #include "ns3/nstime.h"
 
 namespace {
-void bari (int)
-{
-}
-void bar2i (int, int)
-{
-}
-void bar3i (int, int, int)
-{
-}
-void bar4i (int, int, int, int)
-{
-}
-void bar5i (int, int, int, int, int)
-{
-}
-void barcir (const int &)
-{
-}
-void barir (int &)
-{
-}
+
+/* *NS_CHECK_STYLE_OFF* */
+void bari (int) {}
+void bar2i (int, int) {}
+void bar3i (int, int, int) {}
+void bar4i (int, int, int, int) {}
+void bar5i (int, int, int, int, int) {}
+void barcir (const int &) {}
+void barir (int &) {}
+/* *NS_CHECK_STYLE_ON* */
+
 } // anonymous namespace
 
 using namespace ns3;
@@ -57,8 +47,7 @@
 
 TimerStateTestCase::TimerStateTestCase ()
   : TestCase ("Check correct state transitions")
-{
-}
+{}
 void
 TimerStateTestCase::DoRun (void)
 {
@@ -99,42 +88,24 @@
   TimerTemplateTestCase ();
   virtual void DoRun (void);
   virtual void DoTeardown (void);
-  void bazi (int)
-  {
-  }
-  void baz2i (int, int)
-  {
-  }
-  void baz3i (int, int, int)
-  {
-  }
-  void baz4i (int, int, int, int)
-  {
-  }
-  void baz5i (int, int, int, int, int)
-  {
-  }
-  void baz6i (int, int, int, int, int, int)
-  {
-  }
-  void bazcir (const int&)
-  {
-  }
-  void bazir (int&)
-  {
-  }
-  void bazip (int *)
-  {
-  }
-  void bazcip (const int *)
-  {
-  }
+
+  /* *NS_CHECK_STYLE_OFF* */
+  void bazi (int) {}
+  void baz2i (int, int) {}
+  void baz3i (int, int, int) {}
+  void baz4i (int, int, int, int) {}
+  void baz5i (int, int, int, int, int) {}
+  void baz6i (int, int, int, int, int, int) {}
+  void bazcir (const int&) {}
+  void bazir (int&) {}
+  void bazip (int *) {}
+  void bazcip (const int *) {}
+  /* *NS_CHECK_STYLE_ON* */
 };
 
 TimerTemplateTestCase::TimerTemplateTestCase ()
   : TestCase ("Check that template magic is working")
-{
-}
+{}
 
 void
 TimerTemplateTestCase::DoRun (void)
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/time-test-suite.cc ns-3.31/src/core/test/time-test-suite.cc
--- ns-3.30.1/src/core/test/time-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/time-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -35,6 +35,7 @@
 {
 public:
   TimeSimpleTestCase ();
+
 private:
   virtual void DoSetup (void);
   virtual void DoRun (void);
@@ -43,13 +44,11 @@
 
 TimeSimpleTestCase::TimeSimpleTestCase ()
   : TestCase ("Sanity check of common time operations")
-{
-}
+{}
 
 void
 TimeSimpleTestCase::DoSetup (void)
-{
-}
+{}
 
 void
 TimeSimpleTestCase::DoRun (void)
@@ -70,22 +69,22 @@
                              "is 1 really 1 ?");
   NS_TEST_ASSERT_MSG_EQ_TOL (Minutes (10.0).GetMinutes (), 10.0, Minutes (1).GetMinutes (),
                              "is 10 really 10 ?");
-  NS_TEST_ASSERT_MSG_EQ_TOL (Seconds (1.0).GetSeconds (), 1.0, TimeStep (1).GetSeconds (), 
+  NS_TEST_ASSERT_MSG_EQ_TOL (Seconds (1.0).GetSeconds (), 1.0, TimeStep (1).GetSeconds (),
                              "is 1 really 1 ?");
-  NS_TEST_ASSERT_MSG_EQ_TOL (Seconds (10.0).GetSeconds (), 10.0, TimeStep (1).GetSeconds (), 
+  NS_TEST_ASSERT_MSG_EQ_TOL (Seconds (10.0).GetSeconds (), 10.0, TimeStep (1).GetSeconds (),
                              "is 10 really 10 ?");
-  NS_TEST_ASSERT_MSG_EQ (MilliSeconds (1).GetMilliSeconds (), 1, 
+  NS_TEST_ASSERT_MSG_EQ (MilliSeconds (1).GetMilliSeconds (), 1,
                          "is 1ms really 1ms ?");
-  NS_TEST_ASSERT_MSG_EQ (MicroSeconds (1).GetMicroSeconds (), 1, 
+  NS_TEST_ASSERT_MSG_EQ (MicroSeconds (1).GetMicroSeconds (), 1,
                          "is 1us really 1us ?");
 #if 0
   Time ns = NanoSeconds (1);
   ns.GetNanoSeconds ();
-  NS_TEST_ASSERT_MSG_EQ (NanoSeconds (1).GetNanoSeconds (), 1, 
+  NS_TEST_ASSERT_MSG_EQ (NanoSeconds (1).GetNanoSeconds (), 1,
                          "is 1ns really 1ns ?");
-  NS_TEST_ASSERT_MSG_EQ (PicoSeconds (1).GetPicoSeconds (), 1, 
+  NS_TEST_ASSERT_MSG_EQ (PicoSeconds (1).GetPicoSeconds (), 1,
                          "is 1ps really 1ps ?");
-  NS_TEST_ASSERT_MSG_EQ (FemtoSeconds (1).GetFemtoSeconds (), 1, 
+  NS_TEST_ASSERT_MSG_EQ (FemtoSeconds (1).GetFemtoSeconds (), 1,
                          "is 1fs really 1fs ?");
 #endif
 
@@ -97,15 +96,15 @@
                          "change resolution to PS");
 }
 
-void 
+void
 TimeSimpleTestCase::DoTeardown (void)
-{
-}
+{}
 
 class TimeWithSignTestCase : public TestCase
 {
 public:
   TimeWithSignTestCase ();
+
 private:
   virtual void DoSetup (void);
   virtual void DoRun (void);
@@ -114,13 +113,11 @@
 
 TimeWithSignTestCase::TimeWithSignTestCase ()
   : TestCase ("Checks times that have plus or minus signs")
-{
-}
+{}
 
 void
 TimeWithSignTestCase::DoSetup (void)
-{
-}
+{}
 
 void
 TimeWithSignTestCase::DoRun (void)
@@ -152,16 +149,16 @@
                              "Negative time with units not parsed correctly.");
 }
 
-void 
+void
 TimeWithSignTestCase::DoTeardown (void)
-{
-}
+{}
 
 
 class TimeInputOutputTestCase : public TestCase
 {
 public:
   TimeInputOutputTestCase ();
+
 private:
   virtual void DoRun (void);
   void Check (const std::string & str);
@@ -169,8 +166,7 @@
 
 TimeInputOutputTestCase::TimeInputOutputTestCase ()
   : TestCase ("Input,output from,to strings")
-{
-}
+{}
 
 void
 TimeInputOutputTestCase::Check (const std::string & str)
@@ -179,7 +175,7 @@
   Time time;
   ss >> time;
   ss << time;
-  bool pass = (str == ss.str ()); 
+  bool pass = (str == ss.str ());
 
   std::cout << GetParent ()->GetName () << " InputOutput: "
             << (pass ? "pass " : "FAIL ")
@@ -196,8 +192,8 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " InputOutput: " << GetName ()
-	    << std::endl;
-  
+            << std::endl;
+
   Check ("2ns");
   Check ("+3.1us");
   Check ("-4.2ms");
@@ -208,16 +204,16 @@
   Check ("10.8y");
 
   Time t (3.141592654e9);  // Pi seconds
-  
+
   std::cout << GetParent ()->GetName () << " InputOutput: "
             << "example: raw:   " << t
             << std::endl;
-  
+
   std::cout << GetParent ()->GetName () << " InputOutput: "
             << std::fixed << std::setprecision (9)
             << "example: in s:  " << t.As (Time::S)
             << std::endl;
-    
+
   std::cout << GetParent ()->GetName () << " InputOutput: "
             << std::setprecision (6)
             << "example: in ms: " << t.As (Time::MS)
@@ -229,7 +225,7 @@
 
   std::cout << std::endl;
 }
-    
+
 static class TimeTestSuite : public TestSuite
 {
 public:
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/traced-callback-test-suite.cc ns-3.31/src/core/test/traced-callback-test-suite.cc
--- ns-3.30.1/src/core/test/traced-callback-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/traced-callback-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -26,7 +26,8 @@
 {
 public:
   BasicTracedCallbackTestCase ();
-  virtual ~BasicTracedCallbackTestCase () {}
+  virtual ~BasicTracedCallbackTestCase ()
+  {}
 
 private:
   virtual void DoRun (void);
@@ -40,8 +41,7 @@
 
 BasicTracedCallbackTestCase::BasicTracedCallbackTestCase ()
   : TestCase ("Check basic TracedCallback operation")
-{
-}
+{}
 
 void
 BasicTracedCallbackTestCase::CbOne (uint8_t a, double b)
@@ -69,7 +69,7 @@
   TracedCallback<uint8_t, double> trace;
 
   //
-  // Connect both callbacks to their respective test methods.  If we hit the 
+  // Connect both callbacks to their respective test methods.  If we hit the
   // trace, both callbacks should be called and the two variables  should be set
   // to true.
   //
